cURL
curl --request POST \ --url https://api.example.com/api/v1/auth/register \ --header 'Content-Type: application/json' \ --data ' { "email": "jsmith@example.com", "password": "<string>", "tos_accepted": true, "full_name": "<string>", "workspace_name": "<string>" } '
{ "avatar_url": "<string>", "current_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "<string>", "full_name": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "last_login_at": "2023-11-07T05:31:56Z", "role": "<string>", "workspaces": [ {} ], "current_tos_version": "2026-04-12", "deletion_scheduled_at": "2023-11-07T05:31:56Z", "email_verified": false, "has_password": false, "linked_providers": [], "onboarding_completed": false, "tos_accepted_at": "2023-11-07T05:31:56Z", "tos_enforcement_date": "2026-04-26", "tos_version": "<string>" }
Create a new user account and their initial workspace.
Documentation IndexFetch the complete documentation index at: https://docs.riftmap.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt
Use this file to discover all available pages before exploring further.
Successful Response